uuid: 32e8da80-7eea-4407-8f4c-18ede3fdc6b2
langcode: en
status: true
dependencies:
  module:
    - drutopia_blog
id: config_sync.module.drutopia_blog
snapshotSet: config_sync
extensionType: module
extensionName: drutopia_blog
items:
  -
    collection: ''
    name: block_visibility_groups.block_visibility_group.blog_listing
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - system
      id: blog_listing
      label: 'Blog Listing'
      logic: and
      conditions:
        b3c1bb42-5349-4f54-abe9-590277c82bcc:
          id: request_path
          pages: /blog
          negate: false
          context_mapping: {  }
          uuid: b3c1bb42-5349-4f54-abe9-590277c82bcc
      allow_other_conditions: false
      _core:
        default_config_hash: BY6B0phBkxMBePbxKu_qCUSqBpFoQ8n_A4Vw4anEqZk
  -
    collection: ''
    name: core.entity_form_display.node.blog.default
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.field.node.blog.body
          - field.field.node.blog.comment
          - field.field.node.blog.field_authors
          - field.field.node.blog.field_body_paragraph
          - field.field.node.blog.field_image
          - field.field.node.blog.field_meta_tags
          - field.field.node.blog.field_summary
          - field.field.node.blog.field_tags
          - field.field.node.blog.field_topics
          - image.style.thumbnail
          - node.type.blog
        module:
          - comment
          - focal_point
          - metatag
          - paragraphs
          - path
          - text
      id: node.blog.default
      targetEntityType: node
      bundle: blog
      mode: default
      content:
        comment:
          weight: 12
          settings: {  }
          third_party_settings: {  }
          type: comment_default
          region: content
        created:
          type: datetime_timestamp
          weight: 8
          settings: {  }
          third_party_settings: {  }
          region: content
        field_authors:
          weight: 1
          settings:
            match_operator: CONTAINS
            size: 60
            placeholder: ''
            match_limit: 10
          third_party_settings: {  }
          type: entity_reference_autocomplete
          region: content
        field_body_paragraph:
          weight: 4
          settings:
            title: Paragraph
            title_plural: Paragraphs
            edit_mode: open
            add_mode: button
            form_display_mode: default
            default_paragraph_type: text
          third_party_settings: {  }
          type: entity_reference_paragraphs
          region: content
        field_image:
          weight: 2
          settings:
            progress_indicator: throbber
            preview_image_style: thumbnail
            preview_link: true
            offsets: '50,50'
          third_party_settings: {  }
          type: image_focal_point
          region: content
        field_meta_tags:
          weight: 13
          settings: {  }
          third_party_settings: {  }
          type: metatag_firehose
          region: content
        field_summary:
          weight: 3
          settings:
            rows: 5
            placeholder: ''
          third_party_settings: {  }
          type: text_textarea
          region: content
        field_tags:
          weight: 6
          settings:
            match_operator: CONTAINS
            size: 60
            placeholder: ''
            match_limit: 10
          third_party_settings: {  }
          type: entity_reference_autocomplete_tags
          region: content
        field_topics:
          weight: 5
          settings: {  }
          third_party_settings: {  }
          type: options_select
          region: content
        path:
          type: path
          weight: 11
          settings: {  }
          third_party_settings: {  }
          region: content
        promote:
          type: boolean_checkbox
          settings:
            display_label: true
          weight: 9
          third_party_settings: {  }
          region: content
        status:
          type: boolean_checkbox
          settings:
            display_label: true
          weight: 14
          region: content
          third_party_settings: {  }
        sticky:
          type: boolean_checkbox
          settings:
            display_label: true
          weight: 10
          third_party_settings: {  }
          region: content
        title:
          type: string_textfield
          weight: 0
          settings:
            size: 60
            placeholder: ''
          third_party_settings: {  }
          region: content
        uid:
          type: entity_reference_autocomplete
          weight: 7
          settings:
            match_operator: CONTAINS
            size: 60
            placeholder: ''
            match_limit: 10
          third_party_settings: {  }
          region: content
        url_redirects:
          weight: 50
          settings: {  }
          third_party_settings: {  }
          region: content
      hidden:
        body: true
      _core:
        default_config_hash: TTgR52rcXziUKfFBcohRAWQmiDPzw127NP3q_SMTfPM
  -
    collection: ''
    name: core.entity_view_display.node.blog.card
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - core.entity_view_mode.node.card
          - field.field.node.blog.body
          - field.field.node.blog.comment
          - field.field.node.blog.field_authors
          - field.field.node.blog.field_body_paragraph
          - field.field.node.blog.field_image
          - field.field.node.blog.field_meta_tags
          - field.field.node.blog.field_summary
          - field.field.node.blog.field_tags
          - field.field.node.blog.field_topics
          - node.type.blog
          - responsive_image.styles.narrow
        module:
          - ds
          - field_group
          - responsive_image
          - text
          - user
      third_party_settings:
        ds:
          layout:
            id: ds_1col
            library: null
            disable_css: false
            entity_classes: all_classes
            settings:
              label: ''
              wrappers:
                ds_content: div
              outer_wrapper: div
              attributes: ''
              link_attribute: ''
              link_custom: ''
              classes:
                layout_class: {  }
          regions:
            ds_content:
              - field_image
              - group_card_content
              - group_card_content_bottom
              - node_title
              - field_authors
              - field_summary
              - field_topics
          fields:
            node_title:
              plugin_id: node_title
              weight: 3
              label: hidden
              formatter: default
              settings:
                link: true
                wrapper: h2
                class: ''
        field_group:
          group_card_content:
            children:
              - node_title
              - field_authors
              - field_summary
            parent_name: ''
            weight: 1
            format_type: html_element
            format_settings:
              id: ''
              classes: ''
              element: div
              show_label: false
              label_element: h3
              attributes: ''
              effect: none
              speed: fast
            label: 'Card content'
            region: ds_content
          group_card_content_bottom:
            children:
              - field_topics
            parent_name: ''
            weight: 2
            format_type: html_element
            region: ds_content
            format_settings:
              id: ''
              classes: ''
              element: div
              show_label: false
              label_element: h3
              label_element_classes: ''
              attributes: ''
              effect: none
              speed: fast
            label: 'Card content bottom'
      id: node.blog.card
      targetEntityType: node
      bundle: blog
      mode: card
      content:
        field_authors:
          type: entity_reference_label
          weight: 4
          region: ds_content
          label: visually_hidden
          settings:
            link: true
          third_party_settings: {  }
        field_image:
          type: responsive_image
          weight: 0
          region: ds_content
          label: visually_hidden
          settings:
            responsive_image_style: narrow
            image_link: content
          third_party_settings: {  }
        field_summary:
          type: text_default
          weight: 5
          region: ds_content
          label: visually_hidden
          settings: {  }
          third_party_settings: {  }
        field_topics:
          type: entity_reference_label
          weight: 6
          region: ds_content
          label: visually_hidden
          settings:
            link: true
          third_party_settings: {  }
      hidden:
        body: true
        comment: true
        field_body_paragraph: true
        field_meta_tags: true
        field_tags: true
        links: true
        search_api_excerpt: true
      _core:
        default_config_hash: fko39FOnEyo8OhLKlSr06YK6FaH61rYcJsZiVr4WlAs
  -
    collection: ''
    name: core.entity_view_display.node.blog.default
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.field.node.blog.body
          - field.field.node.blog.comment
          - field.field.node.blog.field_authors
          - field.field.node.blog.field_body_paragraph
          - field.field.node.blog.field_image
          - field.field.node.blog.field_meta_tags
          - field.field.node.blog.field_summary
          - field.field.node.blog.field_tags
          - field.field.node.blog.field_topics
          - node.type.blog
        module:
          - ds
          - user
      third_party_settings:
        ds:
          layout:
            id: ds_1col
            library: null
            disable_css: false
            entity_classes: all_classes
            settings:
              wrappers:
                ds_content: div
              outer_wrapper: div
              attributes: ''
              link_attribute: ''
              link_custom: ''
              classes:
                layout_class: {  }
          regions: {  }
      id: node.blog.default
      targetEntityType: node
      bundle: blog
      mode: default
      content: {  }
      hidden:
        body: true
        comment: true
        field_authors: true
        field_body_paragraph: true
        field_image: true
        field_meta_tags: true
        field_summary: true
        field_tags: true
        field_topics: true
        links: true
        search_api_excerpt: true
      _core:
        default_config_hash: K7hEzRY46sI7MYcZfRXOdfdQSkSUp2DXZAkMoEx6Eno
  -
    collection: ''
    name: core.entity_view_display.node.blog.full
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - core.entity_view_display.comment.comment.default
          - core.entity_view_mode.node.full
          - field.field.node.blog.body
          - field.field.node.blog.comment
          - field.field.node.blog.field_authors
          - field.field.node.blog.field_body_paragraph
          - field.field.node.blog.field_image
          - field.field.node.blog.field_meta_tags
          - field.field.node.blog.field_summary
          - field.field.node.blog.field_tags
          - field.field.node.blog.field_topics
          - node.type.blog
          - responsive_image.styles.wide
        module:
          - comment
          - ds
          - entity_reference_revisions
          - responsive_image
          - user
      third_party_settings:
        ds:
          layout:
            id: ds_3col_stacked
            library: ds/ds_3col_stacked
            disable_css: true
            entity_classes: all_classes
            settings:
              wrappers:
                header: div
                left: div
                middle: div
                right: div
                footer: div
              outer_wrapper: div
              attributes: ''
              link_attribute: ''
              link_custom: ''
              classes:
                layout_class: {  }
          regions:
            header:
              - field_image
            left:
              - field_authors
            middle:
              - node_post_date
              - field_body_paragraph
              - field_topics
              - field_tags
              - node_links
              - comment
          fields:
            node_post_date:
              plugin_id: node_post_date
              weight: 2
              label: hidden
              formatter: ds_post_date_month_day_year
            node_links:
              plugin_id: node_links
              weight: 6
              label: hidden
              formatter: default
      id: node.blog.full
      targetEntityType: node
      bundle: blog
      mode: full
      content:
        comment:
          weight: 7
          label: above
          settings:
            pager_id: 0
            view_mode: default
          third_party_settings: {  }
          type: comment_default
          region: middle
        field_authors:
          type: entity_reference_label
          weight: 1
          region: left
          label: visually_hidden
          settings:
            link: true
          third_party_settings:
            ds:
              ds_limit: ''
        field_body_paragraph:
          weight: 3
          label: visually_hidden
          settings:
            view_mode: default
            link: ''
          third_party_settings: {  }
          type: entity_reference_revisions_entity_view
          region: middle
        field_image:
          weight: 0
          label: visually_hidden
          settings:
            responsive_image_style: wide
            image_link: ''
          third_party_settings: {  }
          type: responsive_image
          region: header
        field_tags:
          weight: 5
          label: visually_hidden
          settings:
            link: true
          third_party_settings: {  }
          type: entity_reference_label
          region: middle
        field_topics:
          type: entity_reference_label
          weight: 4
          region: middle
          label: visually_hidden
          settings:
            link: true
          third_party_settings: {  }
      hidden:
        body: true
        field_meta_tags: true
        field_summary: true
        links: true
        search_api_excerpt: true
      _core:
        default_config_hash: BxYSg7RoztaZbqsDBErkhxnf8rhaIpK0iGA0roCCd18
  -
    collection: ''
    name: core.entity_view_display.node.blog.media
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - core.entity_view_mode.node.media
          - field.field.node.blog.body
          - field.field.node.blog.comment
          - field.field.node.blog.field_authors
          - field.field.node.blog.field_body_paragraph
          - field.field.node.blog.field_image
          - field.field.node.blog.field_meta_tags
          - field.field.node.blog.field_summary
          - field.field.node.blog.field_tags
          - field.field.node.blog.field_topics
          - image.style.square_thumbnail
          - node.type.blog
        module:
          - ds
          - field_group
          - image
          - user
      third_party_settings:
        ds:
          layout:
            id: ds_1col
            library: null
            disable_css: false
            entity_classes: all_classes
            settings:
              wrappers:
                ds_content: div
              outer_wrapper: div
              attributes: ''
              link_attribute: ''
              link_custom: ''
              classes:
                layout_class: {  }
          regions:
            ds_content:
              - group_media_left
              - group_media_content
              - field_image
              - node_title
              - field_topics
          fields:
            node_title:
              plugin_id: node_title
              weight: 2
              label: hidden
              formatter: default
              settings:
                link: true
                wrapper: h2
                class: ''
        field_group:
          group_media_left:
            children:
              - field_image
            parent_name: ''
            weight: 0
            format_type: html_element
            format_settings:
              id: ''
              classes: ''
              element: div
              show_label: false
              label_element: h3
              attributes: ''
              effect: none
              speed: fast
            label: 'Media left'
            region: hidden
          group_media_content:
            children:
              - node_title
              - field_topics
            parent_name: ''
            weight: 1
            format_type: html_element
            format_settings:
              label: 'Media content'
              element: div
              show_label: false
              label_element: h3
              attributes: ''
              effect: none
              speed: fast
              id: ''
              classes: ''
            label: 'Media content'
            region: hidden
      id: node.blog.media
      targetEntityType: node
      bundle: blog
      mode: media
      content:
        field_image:
          type: image
          weight: 2
          region: ds_content
          label: visually_hidden
          settings:
            image_style: square_thumbnail
            image_link: content
          third_party_settings: {  }
        field_topics:
          type: entity_reference_label
          weight: 3
          region: ds_content
          label: visually_hidden
          settings:
            link: true
          third_party_settings: {  }
      hidden:
        body: true
        comment: true
        field_authors: true
        field_body_paragraph: true
        field_meta_tags: true
        field_summary: true
        field_tags: true
        links: true
        search_api_excerpt: true
      _core:
        default_config_hash: r30nN63X_G1bPG4qT2ZDt4zCqPNdFE0LI1eHem0uP18
  -
    collection: ''
    name: core.entity_view_display.node.blog.search_index
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - core.entity_view_mode.node.search_index
          - field.field.node.blog.body
          - field.field.node.blog.comment
          - field.field.node.blog.field_authors
          - field.field.node.blog.field_body_paragraph
          - field.field.node.blog.field_image
          - field.field.node.blog.field_meta_tags
          - field.field.node.blog.field_summary
          - field.field.node.blog.field_tags
          - field.field.node.blog.field_topics
          - node.type.blog
        module:
          - ds
          - entity_reference_revisions
          - responsive_image
          - user
      third_party_settings:
        ds:
          layout:
            id: ds_1col
            library: null
            disable_css: false
            entity_classes: all_classes
            settings:
              wrappers:
                ds_content: div
              outer_wrapper: div
              attributes: ''
              link_attribute: ''
              link_custom: ''
              classes:
                layout_class: {  }
          regions:
            ds_content:
              - field_image
              - field_authors
              - node_post_date
              - field_body_paragraph
              - field_topics
              - field_tags
          fields:
            node_post_date:
              plugin_id: node_post_date
              weight: 2
              label: hidden
              formatter: ds_post_date_month_day_year
      id: node.blog.search_index
      targetEntityType: node
      bundle: blog
      mode: search_index
      content:
        field_authors:
          type: entity_reference_label
          weight: 1
          region: ds_content
          label: hidden
          settings:
            link: true
          third_party_settings:
            ds:
              ds_limit: ''
        field_body_paragraph:
          type: entity_reference_revisions_entity_view
          weight: 3
          region: ds_content
          label: hidden
          settings:
            view_mode: default
            link: ''
          third_party_settings: {  }
        field_image:
          type: responsive_image
          weight: 0
          region: ds_content
          label: hidden
          settings:
            responsive_image_style: ''
            image_link: ''
          third_party_settings: {  }
        field_tags:
          type: entity_reference_label
          weight: 5
          region: ds_content
          label: hidden
          settings:
            link: true
          third_party_settings:
            ds:
              ds_limit: ''
        field_topics:
          type: entity_reference_label
          weight: 4
          region: ds_content
          label: hidden
          settings:
            link: true
          third_party_settings: {  }
      hidden:
        body: true
        comment: true
        field_meta_tags: true
        field_summary: true
        links: true
        search_api_excerpt: true
      _core:
        default_config_hash: 0i8K8Wg4pK7xQDzA-beol8oZfAiI8hvdA8VkWoA6V6w
  -
    collection: ''
    name: core.entity_view_display.node.blog.simple_card
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - core.entity_view_mode.node.simple_card
          - field.field.node.blog.body
          - field.field.node.blog.comment
          - field.field.node.blog.field_authors
          - field.field.node.blog.field_body_paragraph
          - field.field.node.blog.field_image
          - field.field.node.blog.field_meta_tags
          - field.field.node.blog.field_summary
          - field.field.node.blog.field_tags
          - field.field.node.blog.field_topics
          - node.type.blog
          - responsive_image.styles.narrow
        module:
          - ds
          - field_group
          - responsive_image
          - user
      third_party_settings:
        ds:
          layout:
            id: ds_1col
            library: null
            disable_css: false
            entity_classes: all_classes
            settings:
              wrappers:
                ds_content: div
              outer_wrapper: div
              attributes: ''
              link_attribute: ''
              link_custom: ''
              classes:
                layout_class: {  }
          regions:
            ds_content:
              - field_image
              - group_card_content
              - 'bundle_field:node'
              - node_title
          fields:
            'bundle_field:node':
              plugin_id: 'bundle_field:node'
              weight: 2
              label: hidden
              formatter: default
            node_title:
              plugin_id: node_title
              weight: 3
              label: hidden
              formatter: default
              settings:
                link: true
                wrapper: h2
                class: ''
                exclude_node_title: '1'
        field_group:
          group_card_content:
            children:
              - 'bundle_field:node'
              - node_title
            parent_name: ''
            weight: 1
            format_type: html_element
            format_settings:
              id: ''
              classes: ''
              element: div
              show_label: false
              label_element: h3
              attributes: ''
              effect: none
              speed: fast
            label: 'Card content'
            region: hidden
      id: node.blog.simple_card
      targetEntityType: node
      bundle: blog
      mode: simple_card
      content:
        field_image:
          type: responsive_image
          weight: 0
          region: ds_content
          label: visually_hidden
          settings:
            responsive_image_style: narrow
            image_link: content
          third_party_settings: {  }
      hidden:
        body: true
        comment: true
        field_authors: true
        field_body_paragraph: true
        field_meta_tags: true
        field_summary: true
        field_tags: true
        field_topics: true
        links: true
        search_api_excerpt: true
      _core:
        default_config_hash: oGpX5EOTiu492uNBehPQmSmheHm4uL6dliyxZaxJcbE
  -
    collection: ''
    name: core.entity_view_display.node.blog.teaser
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - core.entity_view_mode.node.teaser
          - field.field.node.blog.body
          - field.field.node.blog.comment
          - field.field.node.blog.field_authors
          - field.field.node.blog.field_body_paragraph
          - field.field.node.blog.field_image
          - field.field.node.blog.field_meta_tags
          - field.field.node.blog.field_summary
          - field.field.node.blog.field_tags
          - field.field.node.blog.field_topics
          - node.type.blog
          - responsive_image.styles.narrow
        module:
          - ds
          - responsive_image
          - text
          - user
      third_party_settings:
        ds:
          layout:
            id: ds_2col
            library: ds/ds_2col
            disable_css: true
            entity_classes: all_classes
            settings:
              wrappers:
                left: div
                right: div
              outer_wrapper: div
              attributes: ''
              link_attribute: ''
              link_custom: ''
              classes:
                layout_class: {  }
          regions:
            left:
              - field_image
            right:
              - node_post_date
              - node_title
              - field_authors
              - field_summary
              - field_topics
          fields:
            node_post_date:
              plugin_id: node_post_date
              weight: 1
              label: hidden
              formatter: ds_post_date_month_day_year
            node_title:
              plugin_id: node_title
              weight: 2
              label: hidden
              formatter: default
              settings:
                link: true
                wrapper: h2
                class: ''
      id: node.blog.teaser
      targetEntityType: node
      bundle: blog
      mode: teaser
      content:
        field_authors:
          type: entity_reference_label
          weight: 3
          region: right
          label: visually_hidden
          settings:
            link: true
          third_party_settings: {  }
        field_image:
          type: responsive_image
          weight: 0
          label: visually_hidden
          settings:
            responsive_image_style: narrow
            image_link: content
          third_party_settings: {  }
          region: left
        field_summary:
          type: text_default
          weight: 4
          label: visually_hidden
          settings: {  }
          third_party_settings: {  }
          region: right
        field_topics:
          type: entity_reference_label
          weight: 5
          region: right
          label: visually_hidden
          settings:
            link: true
          third_party_settings: {  }
      hidden:
        body: true
        comment: true
        field_body_paragraph: true
        field_meta_tags: true
        field_tags: true
        links: true
        search_api_excerpt: true
      _core:
        default_config_hash: lmByusLo8NXpGKFzJ5PTcn2pQTPcOD4K0td9ci0deu4
  -
    collection: ''
    name: facets.facet.blog_topics
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - search_api.index.blog
          - views.view.blog
        module:
          - search_api
      id: blog_topics
      name: 'Blog Topics'
      url_alias: blog_topics
      weight: 0
      min_count: 1
      show_only_one_result: false
      field_identifier: field_topics
      facet_source_id: 'search_api:views_page__blog__page_listing'
      widget:
        type: checkbox
        config:
          show_numbers: true
          soft_limit: 10
          soft_limit_settings:
            show_less_label: 'Show fewer'
            show_more_label: 'Show more'
      query_operator: or
      use_hierarchy: false
      expand_hierarchy: false
      enable_parent_when_child_gets_disabled: true
      hard_limit: 0
      exclude: false
      only_visible_when_facet_source_is_visible: true
      processor_configs:
        display_value_widget_order:
          processor_id: display_value_widget_order
          weights:
            sort: -10
          settings:
            sort: ASC
        term_weight_widget_order:
          processor_id: term_weight_widget_order
          weights:
            sort: -10
          settings:
            sort: ASC
        translate_entity:
          processor_id: translate_entity
          weights:
            build: 5
          settings: {  }
        url_processor_handler:
          processor_id: url_processor_handler
          weights:
            pre_query: -10
            build: -10
          settings: {  }
      empty_behavior:
        behavior: none
      show_title: null
      _core:
        default_config_hash: LF3dKWzK-V3XRA53prLyLAWwNxKkERhljA_HCNedonI
  -
    collection: ''
    name: field.field.node.blog.body
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.body
          - node.type.blog
        module:
          - text
      id: node.blog.body
      field_name: body
      entity_type: node
      bundle: blog
      label: Body
      description: ''
      required: false
      translatable: true
      default_value: {  }
      default_value_callback: ''
      settings:
        display_summary: true
        required_summary: false
      field_type: text_with_summary
      _core:
        default_config_hash: YxUVkX2qsnUnTSS72K9x7poFZhsV4yYxwEySjg5SC2s
  -
    collection: ''
    name: field.field.node.blog.comment
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.comment
          - node.type.blog
        module:
          - comment
      id: node.blog.comment
      field_name: comment
      entity_type: node
      bundle: blog
      label: Comments
      description: ''
      required: false
      translatable: true
      default_value:
        -
          status: 2
          cid: 0
          last_comment_timestamp: 0
          last_comment_name: null
          last_comment_uid: 0
          comment_count: 0
      default_value_callback: ''
      settings:
        default_mode: 1
        per_page: 50
        anonymous: 0
        form_location: false
        preview: 1
      field_type: comment
      _core:
        default_config_hash: 2u1516pRLPEEjj2VR3MThKwKK3RmbjpI2CnKvwUJG_w
  -
    collection: ''
    name: field.field.node.blog.field_authors
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_authors
          - node.type.blog
          - node.type.people
      id: node.blog.field_authors
      field_name: field_authors
      entity_type: node
      bundle: blog
      label: Authors
      description: 'Add one or more authors of your content by linking to existing "people."'
      required: false
      translatable: true
      default_value: {  }
      default_value_callback: ''
      settings:
        handler: 'default:node'
        handler_settings:
          target_bundles:
            people: people
          sort:
            field: title
            direction: ASC
          auto_create: false
          auto_create_bundle: ''
      field_type: entity_reference
      _core:
        default_config_hash: RLR-cg4JkgDP52sJp856cLP0btRGIdldE04Zph2UIk8
  -
    collection: ''
    name: field.field.node.blog.field_body_paragraph
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_body_paragraph
          - node.type.blog
        module:
          - entity_reference_revisions
      id: node.blog.field_body_paragraph
      field_name: field_body_paragraph
      entity_type: node
      bundle: blog
      label: 'Body paragraph'
      description: ''
      required: false
      translatable: true
      default_value: {  }
      default_value_callback: ''
      settings:
        handler: 'default:paragraph'
        handler_settings:
          target_bundles: null
          target_bundles_drag_drop:
            text:
              weight: -7
              enabled: false
            image:
              weight: -7
              enabled: false
            file:
              weight: -7
              enabled: false
      field_type: entity_reference_revisions
      _core:
        default_config_hash: FLtvcFPffBH3zBV90mr2s-PH9FMXSrPlUOTAWEdf8SA
  -
    collection: ''
    name: field.field.node.blog.field_image
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_image
          - node.type.blog
        module:
          - image
      id: node.blog.field_image
      field_name: field_image
      entity_type: node
      bundle: blog
      label: Image
      description: ''
      required: false
      translatable: true
      default_value: {  }
      default_value_callback: ''
      settings:
        file_directory: '[date:custom:Y]-[date:custom:m]'
        file_extensions: 'png gif jpg jpeg'
        max_filesize: ''
        max_resolution: ''
        min_resolution: ''
        alt_field: true
        alt_field_required: true
        title_field: false
        title_field_required: false
        default_image:
          uuid: ''
          alt: ''
          title: ''
          width: null
          height: null
        handler: 'default:file'
        handler_settings: {  }
      field_type: image
      _core:
        default_config_hash: KPa9MXneq-CbAUQ62RWaehWwyDzjxtYbcSFrY5m6wNQ
  -
    collection: ''
    name: field.field.node.blog.field_meta_tags
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_meta_tags
          - node.type.blog
        module:
          - metatag
      id: node.blog.field_meta_tags
      field_name: field_meta_tags
      entity_type: node
      bundle: blog
      label: 'Meta tags'
      description: ''
      required: false
      translatable: true
      default_value:
        -
          value: 'a:0:{}'
      default_value_callback: ''
      settings: {  }
      field_type: metatag
      _core:
        default_config_hash: 43SnkPqaaVhhp2JBx3vtRkUmdLNswdhBMP4VKjxI_gc
  -
    collection: ''
    name: field.field.node.blog.field_summary
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_summary
          - node.type.blog
        module:
          - text
      id: node.blog.field_summary
      field_name: field_summary
      entity_type: node
      bundle: blog
      label: Summary
      description: 'Enter a short description of what this blog post is about. The summary is displayed on blog teasers, such as on the blog listing page. '
      required: true
      translatable: true
      default_value: {  }
      default_value_callback: ''
      settings: {  }
      field_type: text_long
      _core:
        default_config_hash: 4D-q06fQHsxPYyFMmGPATTZpX5u5yBuE_RpBBksqsWA
  -
    collection: ''
    name: field.field.node.blog.field_tags
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_tags
          - node.type.blog
          - taxonomy.vocabulary.tags
      id: node.blog.field_tags
      field_name: field_tags
      entity_type: node
      bundle: blog
      label: Tags
      description: 'Enter a comma-separated list. For example: Amsterdam, Mexico City, "Cleveland, Ohio"'
      required: false
      translatable: true
      default_value: {  }
      default_value_callback: ''
      settings:
        handler: 'default:taxonomy_term'
        handler_settings:
          target_bundles:
            tags: tags
          sort:
            field: _none
          auto_create: true
      field_type: entity_reference
      _core:
        default_config_hash: quGdfscmU2kZSXdGqeqxHMXJ8XqPjq3cuQuN8BYBllw
  -
    collection: ''
    name: field.field.node.blog.field_topics
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_topics
          - node.type.blog
          - taxonomy.vocabulary.topics
      id: node.blog.field_topics
      field_name: field_topics
      entity_type: node
      bundle: blog
      label: Topics
      description: 'Choose one or more high-level topics to categorize your content across multiple content types.'
      required: false
      translatable: true
      default_value: {  }
      default_value_callback: ''
      settings:
        handler: 'default:taxonomy_term'
        handler_settings:
          target_bundles:
            topics: topics
          sort:
            field: name
            direction: asc
          auto_create: false
          auto_create_bundle: ''
      field_type: entity_reference
      _core:
        default_config_hash: qJeUuy3m8P3cWrbXno5irZyYFFMKRget3ObasudltjM
  -
    collection: ''
    name: node.type.blog
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - menu_ui
      third_party_settings:
        menu_ui:
          available_menus:
            - main
          parent: 'main:'
      name: Blog
      type: blog
      description: 'Use <em>blog</em> for personal or journal-like posts.'
      help: ''
      new_revision: false
      preview_mode: 1
      display_submitted: true
      _core:
        default_config_hash: 2tOuWCHTBNQL6qHpVU0Fp4sBGevWZAkXhAaPBu3HyN8
  -
    collection: ''
    name: pathauto.pattern.node_blog
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - node
      id: node_blog
      label: 'Node blog'
      type: 'canonical_entities:node'
      pattern: 'blog/[node:title]'
      selection_criteria:
        cbbc8b23-30be-44a8-969b-ef9c72e952ab:
          id: node_type
          bundles:
            blog: blog
          negate: false
          context_mapping:
            node: node
          uuid: cbbc8b23-30be-44a8-969b-ef9c72e952ab
      selection_logic: and
      weight: -5
      relationships: {  }
      _core:
        default_config_hash: GDST2tZjColHkGSXFOEcSWxtan2uKIZJXriJRW97rjE
  -
    collection: ''
    name: search_api.index.blog
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_tags
          - field.storage.node.field_summary
          - field.storage.node.field_topics
          - search_api.server.database
          - core.entity_view_mode.node.search_index
        module:
          - user
          - search_api
          - node
      id: blog
      name: Blog
      description: 'An index for the blog content type.'
      read_only: false
      field_settings:
        rendered_item:
          label: 'Rendered HTML output'
          property_path: rendered_item
          type: text
          configuration:
            roles:
              anonymous: anonymous
            view_mode:
              'entity:node':
                blog: search_index
        node_grants:
          label: 'Node access information'
          property_path: search_api_node_grants
          type: string
          indexed_locked: true
          type_locked: true
          hidden: true
        title:
          label: Title
          datasource_id: 'entity:node'
          property_path: title
          type: text
          boost: !!float 8
        field_tags:
          label: Tags
          datasource_id: 'entity:node'
          property_path: field_tags
          type: integer
          dependencies:
            config:
              - field.storage.node.field_tags
        created:
          label: 'Authored on'
          datasource_id: 'entity:node'
          property_path: created
          type: date
        uid:
          label: 'Authored by'
          datasource_id: 'entity:node'
          property_path: uid
          type: integer
          indexed_locked: true
          type_locked: true
        changed:
          label: Changed
          datasource_id: 'entity:node'
          property_path: changed
          type: date
        field_summary:
          label: Summary
          datasource_id: 'entity:node'
          property_path: field_summary
          type: text
          dependencies:
            config:
              - field.storage.node.field_summary
        status:
          label: Published
          datasource_id: 'entity:node'
          property_path: status
          type: boolean
          indexed_locked: true
          type_locked: true
        name:
          label: 'Authored by » User » Name'
          datasource_id: 'entity:node'
          property_path: 'uid:entity:name'
          type: string
          dependencies:
            module:
              - user
        sticky:
          label: 'Sticky at top of lists'
          datasource_id: 'entity:node'
          property_path: sticky
          type: boolean
        promote:
          label: 'Promoted to front page'
          datasource_id: 'entity:node'
          property_path: promote
          type: boolean
        field_topics:
          label: Topics
          datasource_id: 'entity:node'
          property_path: field_topics
          type: integer
          dependencies:
            config:
              - field.storage.node.field_topics
      datasource_settings:
        'entity:node':
          bundles:
            default: false
            selected:
              - blog
          languages:
            default: true
            selected: {  }
      processor_settings:
        rendered_item: {  }
        add_url: {  }
        aggregated_field: {  }
        entity_status: {  }
        tokenizer:
          all_fields: false
          fields:
            - rendered_item
            - title
            - field_summary
          spaces: ''
          overlap_cjk: 1
          minimum_word_size: '3'
          weights:
            preprocess_index: -44
            preprocess_query: -46
        stopwords:
          all_fields: false
          fields:
            - rendered_item
            - title
            - field_summary
          stopwords:
            - a
            - an
            - and
            - are
            - as
            - at
            - be
            - but
            - by
            - for
            - if
            - in
            - into
            - is
            - it
            - 'no'
            - not
            - of
            - 'on'
            - or
            - s
            - such
            - t
            - that
            - the
            - their
            - then
            - there
            - these
            - they
            - this
            - to
            - was
            - will
            - with
          weights:
            preprocess_index: -48
            preprocess_query: -50
        ignorecase:
          all_fields: false
          fields:
            - rendered_item
            - title
            - field_summary
            - name
          weights:
            preprocess_index: -49
            preprocess_query: -49
        transliteration:
          all_fields: false
          fields:
            - rendered_item
            - title
            - field_summary
            - name
          weights:
            preprocess_index: -47
            preprocess_query: -48
        content_access:
          weights:
            preprocess_query: -45
        html_filter:
          all_fields: false
          fields:
            - rendered_item
            - field_summary
          title: true
          alt: true
          tags:
            h1: 5
            h2: 3
            h3: 2
            strong: 2
            b: 2
          weights:
            preprocess_index: -46
            preprocess_query: -47
      tracker_settings:
        default:
          indexing_order: fifo
      options:
        index_directly: true
        cron_limit: 50
      server: database
      _core:
        default_config_hash: LVXH3P5V5qSiUZzvZXvCnxDkd1deRiRJxfXyTLWGOFM
  -
    collection: ''
    name: views.view.blog
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - search_api.index.blog
          - system.menu.main
        module:
          - search_api
          - user
      id: blog
      label: Blog
      module: views
      description: 'Various displays for the blog content type.'
      tag: ''
      base_table: search_api_index_blog
      base_field: search_api_id
      display:
        default:
          display_plugin: default
          id: default
          display_title: Master
          position: 0
          display_options:
            access:
              type: perm
              options:
                perm: 'access content'
            cache:
              type: none
              options: {  }
            query:
              type: views_query
              options:
                bypass_access: false
                skip_access: false
            exposed_form:
              type: basic
              options:
                submit_button: Apply
                reset_button: false
                reset_button_label: Reset
                exposed_sorts_label: 'Sort by'
                expose_sort_order: true
                sort_asc_label: Asc
                sort_desc_label: Desc
            pager:
              type: mini
              options:
                items_per_page: 12
                offset: 0
                id: 0
                total_pages: null
                tags:
                  previous: ‹‹
                  next: ››
                expose:
                  items_per_page: false
                  items_per_page_label: 'Items per page'
                  items_per_page_options: '5, 10, 25, 50'
                  items_per_page_options_all: false
                  items_per_page_options_all_label: '- All -'
                  offset: false
                  offset_label: Offset
            style:
              type: default
              options:
                grouping: {  }
                row_class: ''
                default_row_class: false
            row:
              type: search_api
              options:
                view_modes:
                  'entity:node':
                    blog: card
            fields:
              rendered_item:
                table: search_api_index_blog
                field: rendered_item
                id: rendered_item
                entity_type: null
                entity_field: null
                plugin_id: search_api
                relationship: none
                group_type: group
                admin_label: ''
                label: ''
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                link_to_item: false
                use_highlighting: false
                multi_type: separator
                multi_separator: ', '
            filters: {  }
            sorts:
              sticky:
                id: sticky
                table: search_api_index_blog
                field: sticky
                relationship: none
                group_type: group
                admin_label: ''
                order: DESC
                exposed: false
                expose:
                  label: ''
                plugin_id: search_api
              created:
                id: created
                table: search_api_index_blog
                field: created
                relationship: none
                group_type: group
                admin_label: ''
                order: DESC
                exposed: false
                expose:
                  label: ''
                plugin_id: search_api
            header: {  }
            footer: {  }
            empty: {  }
            relationships: {  }
            arguments: {  }
            display_extenders: {  }
            title: Blog
            filter_groups:
              operator: AND
              groups: {  }
          cache_metadata:
            max-age: -1
            contexts:
              - 'languages:language_interface'
              - url.query_args
              - user.permissions
            tags: {  }
        block_promoted:
          display_plugin: block
          id: block_promoted
          display_title: 'Block Promoted'
          position: 2
          display_options:
            display_extenders: {  }
            display_description: ''
            filters:
              promote:
                id: promote
                table: search_api_index_blog
                field: promote
                relationship: none
                group_type: group
                admin_label: ''
                operator: '='
                value: '1'
                group: 1
                exposed: false
                expose:
                  operator_id: ''
                  label: ''
                  description: ''
                  use_operator: false
                  operator: ''
                  identifier: ''
                  required: false
                  remember: false
                  multiple: false
                  remember_roles:
                    authenticated: authenticated
                  operator_limit_selection: false
                  operator_list: {  }
                is_grouped: false
                group_info:
                  label: ''
                  description: ''
                  identifier: ''
                  optional: true
                  widget: select
                  multiple: false
                  remember: false
                  default_group: All
                  default_group_multiple: {  }
                  group_items: {  }
                plugin_id: search_api_boolean
            defaults:
              filters: false
              filter_groups: false
              pager: false
            filter_groups:
              operator: AND
              groups:
                1: AND
            pager:
              type: some
              options:
                items_per_page: 4
                offset: 0
            block_hide_empty: true
          cache_metadata:
            max-age: -1
            contexts:
              - 'languages:language_interface'
              - user.permissions
            tags: {  }
        page_listing:
          display_plugin: page
          id: page_listing
          display_title: Page
          position: 1
          display_options:
            display_extenders: {  }
            path: blog
            menu:
              type: normal
              title: Blog
              description: 'Follow our blogs.'
              expanded: false
              parent: 'menu_link_content:3f594be0-bb0f-4b30-923e-e7984983a0fd'
              weight: 0
              context: '0'
              menu_name: main
          cache_metadata:
            max-age: -1
            contexts:
              - 'languages:language_interface'
              - url.query_args
              - user.permissions
            tags: {  }
      _core:
        default_config_hash: C8w6iXNlp8VkiTVccqksSgu5-aruFKod3WIHPceHNI8
